package jeuBalle;

public class Balle {

	/**
	 * position de la balle
	 */
	public double x, y;

	/**
	 * vitesse de la balle
	 */
	public double vx, vy;

	/**
	 * acceleration de la balle
	 */
	public double ax, ay;

	/**
	 * constructeur qui initialise les attributs
	 */
	public Balle() {
		// position initiale
		x = 0;
		y = 0;
		// vitesse initiale (en pixel/secondes)
		vx = 100;
		vy = 400;
		// acceleration initiale (en pixel/s carre)
		ax = 0;
		ay = -800;
	}

	/**
	 * se charge de mettre  jour avec les lois de la physique
	 * 
	 * @param dt
	 *            pas de temps
	 */
	public void evoluer(double dt) {
		x = x + vx * dt;
		y = y + vy * dt;
		vx = vx + ax * dt;
		vy = vy + ay * dt;

		// si on touche la sol, on rebondit
		if (y < 0)
			vy = -vy;
	}

}
